// assets/js/dashboard.js

document.addEventListener("DOMContentLoaded", function () {
  console.log("Dashboard JS loaded.");
  // Initialize dashboard-specific functionalities here
  // Example: Initialize a sample chart
  var ctx = document.getElementById("dashboardChart");
  if (ctx) {
    var dashboardChart = new Chart(ctx, {
      type: "line",
      data: {
        labels: ["January", "February", "March", "April", "May", "June"],
        datasets: [
          {
            label: "Visitors",
            data: [500, 700, 800, 600, 900, 1000],
            backgroundColor: "rgba(13, 110, 253, 0.5)",
            borderColor: "rgba(13, 110, 253, 1)",
            borderWidth: 1,
            fill: true,
          },
        ],
      },
      options: {
        scales: {
          y: {
            beginAtZero: true,
          },
        },
      },
    });
  }
});
