$(document).ready(function () {
  // Initialize Select2
  if ($.fn.select2) {
    $(".searchable-dropdown").select2({
      placeholder: "Select an option",
      allowClear: true,
    });
  }

  // Initialize Datepicker
  if ($.fn.datepicker) {
    $(".datepicker").datepicker({
      format: "mm/dd/yyyy", // Date format
      autoclose: true, // Close on selecting a date
      todayHighlight: true, // Highlight today's date
    });
  } else {
    console.error("Datepicker is not loaded");
  }
});
