<?php
session_start();

// Include URL helper only once
include_once __DIR__ . '/url.php';

// Check if the user is logged in
if (isset($_SESSION['user_id'])) {
    // If logged in and on the login page, redirect to the dashboard
    if (basename($_SERVER['PHP_SELF']) === 'login.php') {
        header('Location: ' . $baseURL . 'pages/dashboard.php');
        exit;
    }
} else {
    // If not logged in and trying to access restricted pages, redirect to login
    if (basename($_SERVER['PHP_SELF']) !== 'login.php') {
        header('Location: ' . $baseURL . 'login.php');
        exit;
    }
}
