<?php
// Define ROOT_PATH only if it is not already defined
if (!defined('ROOT_PATH')) {
    define('ROOT_PATH', dirname(__DIR__) . '/');
}

// Dynamically determine the base URL
$protocol = (!empty($_SERVER['HTTPS']) && $_SERVER['HTTPS'] !== 'off' || $_SERVER['SERVER_PORT'] == 443) ? "https://" : "http://";
$host = $_SERVER['HTTP_HOST'];

// Manually specify the project root relative to the host
$basePath = '/asampms';
$baseURL = rtrim($protocol . $host . $basePath, '/') . '/';
