<?php
// upload_image.php
header('Content-Type: application/json');
$targetDir = "uploads/";
if (!is_dir($targetDir)) {
    mkdir($targetDir, 0777, true);
}

if (isset($_FILES['image']) && $_FILES['image']['error'] == 0) {
    $filename = basename($_FILES['image']['name']);
    $targetFilePath = $targetDir . time() . "_" . $filename;
    $allowedTypes = array('jpg', 'jpeg', 'png', 'gif');
    $fileType = strtolower(pathinfo($targetFilePath, PATHINFO_EXTENSION));

    if (in_array($fileType, $allowedTypes)) {
        if (move_uploaded_file($_FILES['image']['tmp_name'], $targetFilePath)) {
            echo json_encode(array('success' => true, 'image_url' => $targetFilePath));
            exit;
        } else {
            echo json_encode(array('success' => false, 'error' => 'Error moving file.'));
            exit;
        }
    } else {
        echo json_encode(array('success' => false, 'error' => 'Invalid file type.'));
        exit;
    }
} else {
    echo json_encode(array('success' => false, 'error' => 'No file uploaded or upload error.'));
    exit;
}
